Subject: Re: [PATCH net-next] nfp: flower-ct: fix error return code in nfp_fl_ct_add_offload()

From: Dan Carpenter <[email-masked]>
Date: Wed, 28 Jul 2021 12:56:35 +0300

On Wed, Jul 28, 2021 at 11:36:43AM +0200, Louis Peens wrote:
> 
> 
> On 2021/07/28 11:16, Yang Yingliang wrote:
> > If nfp_tunnel_add_ipv6_off() fails, it should return error code
> > in nfp_fl_ct_add_offload().
> > 
> > Fixes: 5a2b93041646 ("nfp: flower-ct: compile match sections of flow_payload")
> > Reported-by: Hulk Robot <[email-masked]>
> > Signed-off-by: Yang Yingliang <[email-masked]>
> Ah, thanks Yang, I was just preparing a patch for this myself. This was first reported by
> Dan Carpenter <[email-masked]> on 26 Jul 2021 (added to CC).
> 
> 	'Hello Louis Peens,
> 
> 	The patch 5a2b93041646: "nfp: flower-ct: compile match sections of
> 	flow_payload" from Jul 22, 2021, leads to the following static
> 	checker warning:
> 	.....'
> 
> I'm not sure what the usual procedure would be for this, I would think adding
> another "Reported-by" line would be sufficient?'

Just leave it, it's fine.

> 
> Anyway, for the patch itself the change looks good to me, thanks:
> Signed-off-by: Louis Peens <[email-masked]>

Normally it would be Acked-by.  Signed-off-by means you handled the
patch and it's like signing a legal document that you didn't violate
SCO copyrights etc.

regards,
dan carpenter